﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DataChartDateTimeAxisBinding
{
    public class CategoryDateTimeXAxisVM : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion

        private DateTime _minimumDateTime;
        public DateTime MinimumDateTime
        {
            get { return _minimumDateTime; }
            set
            {
                if (_minimumDateTime != value)
                {
                    _minimumDateTime = value;
                    OnPropertyChanged("MinimumDateTime");
                }
            }
        }

        private DateTime _maximumDateTime;
        public DateTime MaximumDateTime
        {
            get { return _maximumDateTime; }
            set
            {
                if (_maximumDateTime != value)
                {
                    _maximumDateTime = value;
                    OnPropertyChanged("MaximumDateTime");
                }
            }
        }

        public string Label { get; set; }
        public string DateTimeMemberPath { get; set; }

        public CategoryDateTimeXAxisVM()
        {
            MinimumDateTime = DateTime.Now;
            MaximumDateTime = DateTime.Now.AddDays(10);

            Label = "{Date}";
            DateTimeMemberPath = "Date";
        }
    }
}
