﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace DataChartDateTimeAxisBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private CategoryDateTimeXAxisVM vm = new CategoryDateTimeXAxisVM();
        public EnergyProductionDataSample Rows { get; set; }

        public MainWindow()
        {
            Rows = new EnergyProductionDataSample();

            InitializeComponent();
            this.DataContext = this;

            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            CategoryDateTimeXAxis categoryDateTimeAxis = new CategoryDateTimeXAxis();
            categoryDateTimeAxis.Label = vm.Label;
            categoryDateTimeAxis.DateTimeMemberPath = vm.DateTimeMemberPath;

            BindingOperations.SetBinding(categoryDateTimeAxis,
                CategoryDateTimeXAxis.MinimumValueProperty,
                new Binding("MinimumDateTime") { Source = vm, Mode = BindingMode.TwoWay });

            BindingOperations.SetBinding(categoryDateTimeAxis,
                CategoryDateTimeXAxis.MaximumValueProperty,
                new Binding("MaximumDateTime") { Source = vm, Mode = BindingMode.TwoWay });

            BindingOperations.SetBinding(categoryDateTimeAxis,
                CategoryDateTimeXAxis.ItemsSourceProperty,
                new Binding("Rows") { Source = this });

            DataChart.Axes.Add(categoryDateTimeAxis);

            foreach (LineSeries series in DataChart.Series)
                series.XAxis = categoryDateTimeAxis;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            vm.MaximumDateTime = vm.MaximumDateTime.AddDays(1);
        }
    }
}
